package org.cs.mgr.product.service;

import java.util.List;
import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;
import org.cs.mgr.product.model.MgmProductCategory;

/**
 * 
 * @ClassName: IMgmProductCategoryService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:09
 */
public interface IMgmProductCategoryService extends IBaseService<MgmProductCategory> {

	Pager getMgmProductCategorys(Pager page);

	boolean delMgmProductCategory(Integer id);
	
	boolean addMgmProductCategory(MgmProductCategory mgmProductCategory);
	
	boolean updateMgmProductCategory(MgmProductCategory mgmProductCategory);

	List<MgmProductCategory> nextCategory(Integer id);

	List<MgmProductCategory> firstCategory();

	List<MgmProductCategory> queryAll();

	List<MgmProductCategory> queryShowCategory(Map<String, String> map);
	
}
